import * as Mongoose from "mongoose";
import {AbstractContainer} from "./AbstractContainer";
import mongoose from "mongoose";

export const ContainerSchema = new Mongoose.Schema<AbstractContainer>({
    slot: {type: Number},
    volume: {type: Number, required: true, default: 1000},
    sensorEcho: Number,
    sensorTrigger: Number,
    content: {type: String},
    sensorFilledMax: Number,
    sensorFilledMin: Number
});

const Container = mongoose.model<AbstractContainer>('Container', ContainerSchema);
export default Container;

