import {iTenderStatus} from "./iTenderStatus";
import {AbstractContainer} from "./database/AbstractContainer";

export class iTender {
    private static _status: iTenderStatus;

    private static containers: AbstractContainer[];

    static set status(value: iTenderStatus) {
        this._status = value;
    }

    static get status(): iTenderStatus {
        return this._status;
    }

    static startFill() {
        // todo Fill method
    }

    static stopFill() {
        // todo Stop fill method
    }

    static measureContainers() {
        for( let container of this.containers )
        {
            container.measure();
        }
    }

    static loadContainers() {

    }

}