import {Modal} from "./Modal";

export class WebSocketHandler {
    private socket : WebSocket;

    constructor() {
        this.socket = new WebSocket((window.location.protocol == "http:" ? "ws://" : "wss://") + window.location.hostname + ":3005");
        this.socket.onopen = this.onOpen;
        this.socket.onclose = this.onClose;
        this.socket.onerror = this.onError;
    }

    private onOpen( event )
    {
        Modal.close("start");
    }

    private onClose( event ) {
        console.error("WS Closed!", event );
        //openModal("Einen Augenblick...", `Es wurde ein Verbindungsfehler erkannt.\nBitte warten Sie, während der Prozess neu gestartet wird...` );
        //window.location.reload();
    }

    private onError( event ) {
        console.error("WS Error", event);
        //openModal("Einen Augenblick...", `Es wurde ein kritischer Fehler festgestellt.\nBitte warten Sie, während der Prozess neu gestartet wird...` );
        //window.location.reload();
    }
}