import {App} from "./App";
import debug from "debug";
import {WebsocketApp} from "./WebsocketApp";
import {Database} from "./database/Database";
import Drink from "./database/Drink";
import Ingredient from "./database/Ingredient";
import {Category} from "./Category";

const log = debug("itender:server");

const app = new App();
const wsApp = new WebsocketApp();



(async( ) => {
    try {
        log("Starting...");
        await Database.connect();
        await app.listen();
        await wsApp.listen();
        await test();
    } catch( e )
    {
        console.error("---- ERROR ----")
        console.error(e);
        process.exit(-1);
    }
})();


async function test() {
    console.log("Testing fn");


    let drink = await Drink.findOne( { name: "Mezzo Mix" } ).populate("ingredients.type");
    if(!drink)return;

    console.log(drink.ingredients);
    //console.log(drink.ingredients)
    /*let ingredient = new Ingredient();
    ingredient.name = "Cola";
    ingredient.category = Category.ALCOHOL_FREE;

    await ingredient.save();

    let ingredient2 = new Ingredient();
    ingredient2.name = "Fanta";
    ingredient2.category = Category.ALCOHOL_FREE;

    await ingredient2.save();

    let drink = new Drink();
    drink.name = "Mezzo Mix";
    drink.ingredients = [ {type: ingredient2, amount: 2}, { type: ingredient, amount: 10 } ];

    await drink.save();*/


}